%global     srcname  rstcheck

Name:       python-%{srcname}
Version:    3.1
Release:    8%{?dist}
Summary:    Checks syntax of reStructuredText and code blocks nested within it

License:    MIT
URL:        https://github.com/myint/rstcheck
Source0:    https://files.pythonhosted.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz


BuildArch:  noarch
%description
Checks syntax of reStructuredText and code blocks nested within it.

%package -n python3-%{srcname}
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-setuptools
Requires:   python3-docutils
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Checks syntax of reStructuredText and code blocks nested within it.


%prep
%autosetup -n %{srcname}-%{version}
rm -frv %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst AUTHORS.rst
%{python3_sitelib}/%{srcname}-%{version}-py3.?.egg-info/
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/__pycache__/%{srcname}.*
%{_bindir}/%{srcname}

%changelog
* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1-8
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 3.1-6
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 27 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.1-4
- Updated as per final comments
- add missing BR
- make URL complete without macro
- correct file lists

* Thu Oct 26 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.1-3
- Update based on review comments
- Make BRs and Rs specific to sub packages
- Make file lists more specific
- Use summary macro

* Thu Oct 26 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.1-2
- No need to provide different binaries - they provide same functionality
- https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin

* Wed Oct 25 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.1-1
- Initial rpmbuild
